%define oname Thunar

%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major	0
%define api	2
%define libname	%mklibname thunarx %{api} %{major}
%define devname	%mklibname thunarx -d

Summary:	New modern file manager for the Xfce Desktop Environment
Name:		thunar
Version:	1.6.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://thunar.xfce.org
Source0:	http://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{oname}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(exo-1) >= 0.9.0
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libxfce4panel-1.0)

Requires(post):	desktop-file-utils >= 0.10
Requires(postun): desktop-file-utils >= 0.10

Requires:	shared-mime-info >= 0.15
Requires:	exo
Requires:	thunar-volman
Suggests:	tumbler

%description
Thunar has been designed from the ground up to be fast and easy-to-use.
Its user interface is clean and intuitive, and does not include any confusing
or useless options. Thunar is fast and responsive with a good start up time
and directory load time. Thunar is accessible using Assistive Technologies and
is fully standards compliant.

Beside the basic file management features, Thunar includes additional features
that set it ahead of other file managers available for the Unix/Linux desktop
today. For example, Thunar includes a so called Bulk Renamer that allows users
to easily rename multiple files at once using criterions that can be specified
using the available renamer plugins. Probably the most interesting renamer here
is the Audio Tags renamer, which generates new file names based on the tags
present in audio files.

Using the Thunar Extensions Framework it is easy to extend the basic
functionality provided by Thunar to integrate even complex tasks into the file
manager, although the extension framework is still very limited in the 1.0
series, and the 2.0 series will include a way more powerful plugin interface
that allows to adjust virtually every aspect of the file manager. But since
writing extensions for the file manager is still a difficult and time consuming
job, the User Customizable Actions plugin provides users with an easy way to
extend the file and folder context menus with their own custom actions.

%package -n %{libname}
Summary:	Libraries for the thunar filemanager
Group:		Graphical desktop/Xfce
#Added 4/2012 (wally)
Obsoletes:	%{_lib}thunar2_0 < 1.4.0

%description -n %{libname}
Libraries for the thunar filemanager.

%package -n %{devname}
Summary:	Development files for the thunar filemanager
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	thunarx-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libthunarx-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}thunar1_2-devel
#added 4/2012 (wally)
Obsoletes:	%{_lib}thunar-devel < 1.4.0
Conflicts:	%{name} < 1.3.1

%description -n %{devname}
Development files for the thunar filemanager.

%prep
%setup -qn %{oname}-%{version}
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--enable-dbus \
	--enable-notifications \
	--enable-exif \
	--enable-pcre \
	--enable-apr-plugin \
	--enable-tpa-plugin \
	--enable-uca-plugin \
	--enable-wallpaper-plugin \
	--enable-gio-unix \
	--enable-gudev

%make

%install
%makeinstall_std

#handle docs in files section
rm -rf %{buildroot}%{_docdir}/%{oname}

# Remove unneeded files
find %{buildroot} -name "*.la" -delete

# (tpg) this file is in mandriva-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/Thunar/uca.xml

%find_lang %{oname}

%files -f %{oname}.lang
%doc AUTHORS FAQ HACKING README THANKS TODO
%doc docs/README.gtkrc docs/README.thunarrc
%dir %{_sysconfdir}/xdg/Thunar
%{_bindir}/%{oname}
%{_bindir}/%{name}*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/%{oname}.*
%{_iconsdir}/hicolor/*/stock/navigation/stock_*
%{_datadir}/pixmaps/%{oname}/
%{_datadir}/dbus-1/services/*
%{_datadir}/%{oname}/
%{_libdir}/%{oname}/
%{_libdir}/thunarx-%{api}/
%{_mandir}/man1/%{oname}.*
%{_libdir}/xfce4/panel/plugins/lib%{name}-*.so
%{_datadir}/xfce4/panel-plugins/thunar-tpa.desktop

%files -n %{libname}
%{_libdir}/libthunarx-%{api}.so.%{major}*

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/thunarx/
%{_includedir}/thunarx-%{api}/
%{_libdir}/libthunarx-%{api}.so
%{_libdir}/pkgconfig/thunarx-%{api}.pc


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.6.2-2.mga3
+ Revision: 384531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 wally <wally> 1.6.2-1.mga3
+ Revision: 335702
- new version 1.6.2
- drop upstream patches

* Sun Dec 16 2012 wally <wally> 1.6.1-2.mga3
+ Revision: 331423
- add patch from upstream git to fix freeze on /proc/kmsg

* Sun Dec 09 2012 wally <wally> 1.6.1-1.mga3
+ Revision: 329091
- new version 1.6.1
- drop patches from upstream

* Wed Dec 05 2012 wally <wally> 1.6.0-2.mga3
+ Revision: 327026
- add patch from upstream git to show NoDisplay=true applications (xfce#9595)

* Mon Dec 03 2012 wally <wally> 1.6.0-1.mga3
+ Revision: 325989
- new version 1.6.0

* Sat Dec 01 2012 fwang <fwang> 1.5.3-2.mga3
+ Revision: 323856
- rebuild for new pcre

* Sun Nov 25 2012 wally <wally> 1.5.3-1.mga3
+ Revision: 321704
- new version 1.5.3

* Sat Nov 10 2012 wally <wally> 1.5.2-1.mga3
+ Revision: 316887
- new version 1.5.2

* Wed Oct 31 2012 wally <wally> 1.5.1-1.mga3
+ Revision: 311803
- new version 1.5.1
- drop patches from upstream

* Tue Oct 30 2012 wally <wally> 1.5.0-2.mga3
+ Revision: 311621
- add patch from upstream to revert XdndDirectSave0 removal (xfce#9414)
  * fixes drag'n drop from file-roller

* Sun Oct 14 2012 wally <wally> 1.5.0-1.mga3
+ Revision: 305473
- new version 1.5.0
- drop P4

* Sat Sep 08 2012 wally <wally> 1.4.0-2.mga3
+ Revision: 289999
- rebuild for possible fix for segfaults after some recent updates

* Mon May 28 2012 wally <wally> 1.4.0-1.mga3
+ Revision: 248462
- new version 1.4.0
- fix lib and dev pkg names
- use upstream categories in .desktop files
- clean .spec

* Wed Jul 20 2011 ahmad <ahmad> 1.3.0-3.mga2
+ Revision: 127497
- Suggest tumbler, for thumnails support (mga#2209)

* Mon Jun 13 2011 ahmad <ahmad> 1.3.0-2.mga2
+ Revision: 105546
- Rebuild against libnotify-0.7
- Drop unapplied patches

* Sat Mar 26 2011 dmorgan <dmorgan> 1.3.0-1.mga1
+ Revision: 77840
- New version 1.3.0

* Thu Jan 27 2011 ahmad <ahmad> 1.2.0-1.mga1
+ Revision: 42006
- imported package thunar

